C======= C (N,M)  FOR IOT3, IOT6============
      FUNCTION IC(NN,MM)
      REAL*8 IC,IA
      IF(NN.GT.0.AND.MM.GT.0.AND.NN.LT.MM)
     * WRITE(6,1) NN,MM
 1     FORMAT('  FUNCTION C(n,m) =',
     * ' INVALID PARAMETERS n',I5, ' m', I5)
      IF(NN.NE.0.OR.MM.NE.0) GOTO 2
      IC=1.D 00
      RETURN
 2    CONTINUE
      IF(NN.LE.0.AND.MM.GT.0) WRITE(6, 1)NN,MM
      IF(MM.LT.0) WRITE(6,1)NN,MM
      N=NN
      M=MM
C     WRITE(6,1)NN,MM
      IF(M.LT.N-M) M=N-M
      N=N+1
      IA=1.D 00
      IF(M.LT.1) GOTO 20
      DO 10 I=1,M
10     IA=IA*DFLOAT(N-I)/DFLOAT(I)
20     IC=IA
      RETURN
      END
